## GimpProgressBar

GimpProgressBar — A widget providing a progress bar.

## Functions

GtkWidget * | gimp_progress_bar_new ()

## Types and Values

| GimpProgressBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkProgress
                        ╰── GtkProgressBar
                            ╰── GimpProgressBar

## Implemented Interfaces

GimpProgressBar implements AtkImplementorIface and GtkBuildable.

## Description

A widget providing a progress bar that automatically redirects any progress calls to itself.

## Functions

### gimp_progress_bar_new ()

    GtkWidget *
    gimp_progress_bar_new (void);

Creates a new GimpProgressBar widget.

#### Returns

the new widget.

Since: 2.2

## Types and Values

### GimpProgressBar

    typedef struct _GimpProgressBar GimpProgressBar;